Displaying 20 results from an estimated 54 matches for "aio_writ".
Did you mean:
aio_write
2020 Mar 17
0
[nbdkit PATCH 3/4] tests: Don't let test-parallel-* hang on nbdkit bug
...bdkit lacks support for parallel requests"; exit 77; }
@@ -43,8 +44,8 @@ cleanup_fn rm -f test-parallel-file.data test-parallel-file.out
# Populate file, and sanity check that qemu-io can issue parallel requests
printf '%1024s' . > test-parallel-file.data
-qemu-io -f raw -c "aio_write -P 1 0 512" -c "aio_write -P 2 512 512" \
- -c aio_flush test-parallel-file.data ||
+timeout 10s </dev/null qemu-io -f raw -c "aio_write -P 1 0 512" \
+ -c "aio_write -P 2 512 512" -c aio_flush test-parallel-file.data ||
{ echo "'q...
2018 Mar 06
0
[PATCH nbdkit 1/2] tests: Remove QEMU_IO / HAVE_QEMU_IO.
...echo "$0: missing qemu-io"
+ exit 77
+fi
trap 'rm -f test-parallel-file.data test-parallel-file.out' 0 1 2 3 15
# Populate file, and sanity check that qemu-io can issue parallel requests
printf '%1024s' . > test-parallel-file.data
-$QEMU_IO -f raw -c "aio_write -P 1 0 512" -c "aio_write -P 2 512 512" \
+qemu-io -f raw -c "aio_write -P 1 0 512" -c "aio_write -P 2 512 512" \
-c aio_flush test-parallel-file.data ||
- { echo "'$QEMU_IO' can't drive parallel requests"; exit 77; }
+ { ech...
2018 Mar 02
1
[nbdkit PATCH] tests: Make parallel tests work at 512-byte granularity
...-f file-data || { echo "Missing file-data"; exit 77; }
+# Makefile sets $QEMU_IO, but it's also nice if the script runs again
+# standalone afterwards for diagnosing any failures
: ${QEMU_IO=qemu-io}
-# Sanity check that qemu-io can issue parallel requests
-$QEMU_IO -f raw -c "aio_write -P 2 1 1" -c "aio_read -P 1 0 1" -c aio_flush \
- file-data || { echo "'$QEMU_IO' can't drive parallel requests"; exit 77; }
+trap 'rm -f test-parallel-file.data test-parallel-file.out' 0 1 2 3 15
+
+# Populate file, and sanity check that qemu-io can i...
2018 Mar 06
4
[PATCH nbdkit 0/2] tests: Minor reworking of tests.
Small reworking of tests to remove $QEMU_IO, making that consistent
with other test tools, and to test IPv6 connections.
2018 Mar 07
2
Re: [PATCH nbdkit 1/2] tests: Remove QEMU_IO / HAVE_QEMU_IO.
...e fly), so even though I agree
with your Makefile changes, I disagree with dropping the defaulting of
QEMU_IO to qemu-io,
> # Populate file, and sanity check that qemu-io can issue parallel requests
> printf '%1024s' . > test-parallel-file.data
> -$QEMU_IO -f raw -c "aio_write -P 1 0 512" -c "aio_write -P 2 512 512" \
> +qemu-io -f raw -c "aio_write -P 1 0 512" -c "aio_write -P 2 512 512" \
as well as disagree with hard-coding only the first qemu-io in $PATH
here, instead of allowing a command-line override.
--
Eric Blake, Princ...
2020 Mar 17
9
[nbdkit PATCH 0/4] Fix testsuite hang with nbd-stadalone
Either patch 1 or patch 2 in isolation is sufficient to fix the
problem that Rich forwarded on from an archlinux tester (name so I can
credit them?). But both patches should be applied, as well as
backported to appropriate stable branches, to maximize cross-version
interoperability of nbdkit vs. plugins. Patch 3 will let us detect
future similar bugs much faster. I want patch 4 to ensure that
2018 Jan 27
0
[PATCH nbdkit] tests: Remove QEMU_IO / HAVE_QEMU_IO.
...ed by Makefile and qemu-io exists.
+if ! test -f file-data; then
+ echo "$0: missing file-data"
+ exit 77
+fi
+if ! qemu-io --version; then
+ echo "$0: missing qemu-io"
+ exit 77
+fi
# Sanity check that qemu-io can issue parallel requests
-$QEMU_IO -f raw -c "aio_write -P 2 1 1" -c "aio_read -P 1 0 1" -c aio_flush \
- file-data || { echo "'$QEMU_IO' can't drive parallel requests"; exit 77; }
+qemu-io -f raw -c "aio_write -P 2 1 1" -c "aio_read -P 1 0 1" -c aio_flush \
+ file-data || { echo "'qem...
2017 Nov 22
3
[nbdkit PATCH 0/2] more nbd tweaks
I tried reproducing the testsuite failure on test-parallel-*.sh
using the same machine Rich posted a log from, but did not
quickly hit it on a loop of
make -j20 check TESTS=test-parallel-{file,nbd}.sh
But I still think this series can't hurt.
Eric Blake (2):
nbd: Don't advertise writes if nbdkit is readonly
tests: Make parallel tests more robust
plugins/nbd/nbd.c | 2 ++
2018 Jan 27
3
[PATCH nbdkit] tests: Remove QEMU_IO / HAVE_QEMU_IO.
Currently we test for qemu-img, socat, ss, certtool, etc at run time,
but we test for qemu-io at compile time (in ./configure). This commit
removes this inconsistency.
I would consider the opposite patch (which makes qemu-img etc tested
at configure time).
The main advantage of testing for these binaries at run time is that
tests are not "silently" omitted. Instead tests with
2009 Jul 11
2
Initialize count in aio_write before generic_write_checks
generic_write_checks() expects count to be initialized to the size of
the write.
Writes to files open with O_DIRECT|O_LARGEFILE write 0 bytes because
count in uninitialized.
Signed-off-by: Goldwyn Rodrigues <rgoldwyn at suse.de>
diff --git a/fs/ocfs2/file.c b/fs/ocfs2/file.c
index a5887df..5b9c8af 100644
--- a/fs/ocfs2/file.c
+++ b/fs/ocfs2/file.c
@@ -1841,6 +1841,7 @@ relock:
if (ret)
2018 Mar 07
0
Re: [PATCH nbdkit 1/2] tests: Remove QEMU_IO / HAVE_QEMU_IO.
...with
> dropping the defaulting of QEMU_IO to qemu-io,
Does setting $PATH not work for this purpose?
Rich.
> > # Populate file, and sanity check that qemu-io can issue parallel requests
> > printf '%1024s' . > test-parallel-file.data
> >-$QEMU_IO -f raw -c "aio_write -P 1 0 512" -c "aio_write -P 2 512 512" \
> >+qemu-io -f raw -c "aio_write -P 1 0 512" -c "aio_write -P 2 512 512" \
>
> as well as disagree with hard-coding only the first qemu-io in $PATH
> here, instead of allowing a command-line override.
>...
2019 Aug 02
0
[nbdkit PATCH v2 15/17] sh: Enable parallel thread model, when possible
...t lacks support for parallel requests"; exit 77; }
+
+cleanup_fn rm -f test-parallel-sh.data test-parallel-sh.out test-parallel-sh.script
+
+# Populate file, and sanity check that qemu-io can issue parallel requests
+printf '%1024s' . > test-parallel-sh.data
+qemu-io -f raw -c "aio_write -P 1 0 512" -c "aio_write -P 2 512 512" \
+ -c aio_flush test-parallel-sh.data ||
+ { echo "'qemu-io' can't drive parallel requests"; exit 77; }
+
+# Set up the sh plugin to delay both reads and writes (for a good
+# chance that parallel requests are...
2017 Nov 21
3
Re: [nbdkit PATCH v2 0/4] enable parallel nbd forwarding
This works OK on x86_64, but fails on our fast new Amberwing (aarch64)
machine. I've attached the test-suite.log file, but I'm not very sure
what's going wrong from that.
Rich.
--
Richard Jones, Virtualization Group, Red Hat http://people.redhat.com/~rjones
Read my programming and virtualization blog: http://rwmj.wordpress.com
virt-df lists disk usage of guests without needing to
2019 Aug 02
2
Re: [nbdkit PATCH v2 15/17] sh: Enable parallel thread model, when possible
...equests"; exit 77; }
> +
> +cleanup_fn rm -f test-parallel-sh.data test-parallel-sh.out test-parallel-sh.script
> +
> +# Populate file, and sanity check that qemu-io can issue parallel requests
> +printf '%1024s' . > test-parallel-sh.data
> +qemu-io -f raw -c "aio_write -P 1 0 512" -c "aio_write -P 2 512 512" \
> + -c aio_flush test-parallel-sh.data ||
> + { echo "'qemu-io' can't drive parallel requests"; exit 77; }
> +
> +# Set up the sh plugin to delay both reads and writes (for a good
> +# chance t...
2013 Jan 09
0
[PATCH V5 19/30] ocfs2: add support for read_iter, write_iter, and direct_IO_bvec
From: Zach Brown <zab@zabbo.net>
ocfs2''s .aio_read and .aio_write methods are changed to take
iov_iter and pass it to generic functions. Wrappers are made to pack
the iovecs into iters and call these new functions.
Signed-off-by: Dave Kleikamp <dave.kleikamp@oracle.com>
Cc: Zach Brown <zab@zabbo.net>
Cc: Mark Fasheh <mfasheh@suse.com>
Cc: Joe...
2019 Aug 02
0
[nbdkit PATCH v2 16/17] sh: Test for fd leaks
...-
tests/test-parallel-sh.sh | 23 +++++++++++++++++++++++
1 file changed, 23 insertions(+)
diff --git a/tests/test-parallel-sh.sh b/tests/test-parallel-sh.sh
index 21bc010a..ddbdf90c 100755
--- a/tests/test-parallel-sh.sh
+++ b/tests/test-parallel-sh.sh
@@ -53,12 +53,35 @@ qemu-io -f raw -c "aio_write -P 1 0 512" -c "aio_write -P 2 512 512" \
# happens). This test may have spurious failures under heavy loads on
# the test machine, where tuning the delays may help.
+# Also test for leaked fds when possible: nbdkit does not close fds it
+# inherited, but other than 0, 1, 2, and...
2018 Sep 07
0
[PATCH nbdkit 3/6] file: Make the file= parameter into a magic config key.
...quot;file-data", NULL) == -1)
exit (EXIT_FAILURE);
g = guestfs_create ();
diff --git a/tests/test-parallel-file.sh b/tests/test-parallel-file.sh
index fdc8a1b..fd88faa 100755
--- a/tests/test-parallel-file.sh
+++ b/tests/test-parallel-file.sh
@@ -56,7 +56,7 @@ qemu-io -f raw -c "aio_write -P 1 0 512" -c "aio_write -P 2 512 512" \
# tuning the delays may help.
# With --threads=1, the write should complete first because it was issued first
-nbdkit -v -t 1 -U - --filter=delay file file=test-parallel-file.data \
+nbdkit -v -t 1 -U - --filter=delay file test-parallel-...
2018 Sep 08
0
[PATCH nbdkit v2 3/6] file: Make the file= parameter into a magic config key.
...quot;file-data", NULL) == -1)
exit (EXIT_FAILURE);
g = guestfs_create ();
diff --git a/tests/test-parallel-file.sh b/tests/test-parallel-file.sh
index fdc8a1b..fd88faa 100755
--- a/tests/test-parallel-file.sh
+++ b/tests/test-parallel-file.sh
@@ -56,7 +56,7 @@ qemu-io -f raw -c "aio_write -P 1 0 512" -c "aio_write -P 2 512 512" \
# tuning the delays may help.
# With --threads=1, the write should complete first because it was issued first
-nbdkit -v -t 1 -U - --filter=delay file file=test-parallel-file.data \
+nbdkit -v -t 1 -U - --filter=delay file test-parallel-...
2017 Nov 21
0
Re: [nbdkit PATCH v2 0/4] enable parallel nbd forwarding
...et 1
> 1 bytes, 1 ops; 0.0203 sec (49.193231 bytes/sec and 49.1932 ops/sec)
> /var/tmp/nbdkit-1.1.18/src/nbdkit -v -t 1 -U -
> /var/tmp/nbdkit-1.1.18/plugins/file/.libs/nbdkit-file-plugin.so file=file-data rdelay=2 wdelay=1 --run
> $QEMU_IO -f raw -c "aio_read 0 1" -c "aio_write -P 2 1 1" -c aio_flush $nbd
>
> nbdkit: file[1]: debug: handshake complete, processing requests serially
When run serially,
> read 1/1 bytes at offset 0
> 1 bytes, 1 ops; 0:00:02.00 (0.499933 bytes/sec and 0.4999 ops/sec)
> wrote 1/1 bytes at offset 1
> 1 bytes, 1 ops; 0...
2013 Jul 25
0
[PATCH V8 21/33] ocfs2: add support for read_iter and write_iter
...s/ocfs2/aops.h
@@ -74,7 +74,7 @@ static inline void ocfs2_iocb_set_rw_locked(struct kiocb *iocb, int level)
/*
* Using a named enum representing lock types in terms of #N bit stored in
* iocb->private, which is going to be used for communication between
- * ocfs2_dio_end_io() and ocfs2_file_aio_write/read().
+ * ocfs2_dio_end_io() and ocfs2_file_write/read_iter().
*/
enum ocfs2_iocb_lock_bits {
OCFS2_IOCB_RW_LOCK = 0,
diff --git a/fs/ocfs2/file.c b/fs/ocfs2/file.c
index 41000f2..d2d203b 100644
--- a/fs/ocfs2/file.c
+++ b/fs/ocfs2/file.c
@@ -2220,15 +2220,13 @@ out:
return ret;
}
-sta...